local addonName, L = ...;

RarityNames = { [0] = "|cff9d9d9d" .. L["Disabled"] .. "|r", [1] = "|cffffff00" .. L["Common"] .. "|r", [2] = "|cff1eff00" .. L["Uncommon"] .. "|r", [3] = "|cff0070dd" .. L["Rare"] .. "|r", [4] = "|cffa335ee" .. L["Epic"] .. "|r" }

GemChip = { [130203] = "|cff4444ff" .. L["BLUE"], [129099] = "|cffff0000" .. L["RED"], [130204] = "|cffff00ff" .. L["PURPLE"], [130201] = "|cffffff00" .. L["YELLOW"], [130202] = "|cff00ff00" .. L["GREEN"], [130200] = "|cffff8800" .. L["ORANGE"] }

GLOOT_ARCHAEOLOGY = 794
GLOOT_ALCHEMY = 171
GLOOT_BLACKSMITHING = 164
GLOOT_COOKING = 184
GLOOT_ENCHANTING = 333
GLOOT_ENGINEERING = 202
GLOOT_FIRST_AID = 129
GLOOT_FISHING = 356
GLOOT_HERBALISM = 182
GLOOT_INSCRIPTION = 773
GLOOT_JEWELCRAFTING = 755
GLOOT_LEATHERWORKING = 165
GLOOT_MINING = 186
GLOOT_SKINNING = 393
GLOOT_TAILORING = 197

GLOOT_PARTS = 1
GLOOT_JEWELS = 4
GLOOT_CLOTH = 5
GLOOT_LEATHER = 6
GLOOT_METAL_STONE = 7
GLOOT_MEAT_COOKING = 8
GLOOT_HERB = 9
GLOOT_ELEMENTAL = 10
GLOOT_OTHER = 11
GLOOT_ENCHANT = 12
GLOOT_SCRIBE = 16

GLOOT_TRADE_SKILL_LOOT = {
    [GLOOT_ALCHEMY] = {
        [GLOOT_HERB] = true
    },
    [GLOOT_BLACKSMITHING] = {
        [GLOOT_METAL_STONE] = true,
        [GLOOT_LEATHER] = true
    },
    [GLOOT_COOKING] = {
        [GLOOT_MEAT_COOKING] = true
    },
    [GLOOT_ENCHANTING] = {
        [GLOOT_ENCHANT] = true,
        [GLOOT_ELEMENTAL] = true
    },
    [GLOOT_ENGINEERING] = {
        [GLOOT_PARTS] = true,
        [GLOOT_METAL_STONE] = true,
        [GLOOT_LEATHER] = true,
        [GLOOT_ELEMENTAL] = true,
        [GLOOT_CLOTH] = true
    },
    [GLOOT_FIRST_AID] = {
        [GLOOT_CLOTH] = true
    },
    [GLOOT_HERBALISM] = {
        [GLOOT_HERB] = true
    },
    [GLOOT_INSCRIPTION] = {
        [GLOOT_HERB] = true,
        [GLOOT_SCRIBE]=true
    },
    [GLOOT_JEWELCRAFTING] = {
        [GLOOT_JEWELS] = true,
        [GLOOT_METAL_STONE] = true
    },
    [GLOOT_MINING] = {
        [GLOOT_METAL_STONE] = true
    },
    [GLOOT_SKINNING] = {
        [GLOOT_LEATHER] = true
    },
    [GLOOT_LEATHERWORKING] = {
        [GLOOT_ELEMENTAL] = true,
        [GLOOT_LEATHER] = true
    },
    [GLOOT_TAILORING] = {
        [GLOOT_ELEMENTAL] = true,
        [GLOOT_CLOTH] = true
    }
}

GL_LE_ITEM_CLASS_QUESTITEM = 12
GL_LE_ITEM_CLASS_BATTLEPET = 17
GL_LE_ITEM_CLASS_GLYPH =18
GL_LE_ITEM_CLASS_ITEM_ENHANCEMENT = 8
GL_LE_ITEM_CLASS_KEY = 13
GL_LE_ITEM_QUALITY_ARTIFACT = 6
GL_LE_ITEM_CLASS_TRADEGOODS = 7
GL_LE_ITEM_CLASS_GEM = 3
GL_LE_ITEM_CLASS_MISCELLANEOUS = 15
GL_LE_ITEM_QUALITY_EPIC = 4
GL_LE_ITEM_CLASS_RECIPE = 9
